Skip to main content
Apps (BYOK)

List registered OAuth apps for this project

GET/v1/apps/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

platform?string
Value in"twitter" | "instagram" | "youtube" | "tiktok" | "pinterest" | "linkedin" | "bluesky" | "facebook" | "threads"
page?integer
Default1
Range1 <= value
limit?integer
Default50
Range1 <= value <= 100
name?string

Case-insensitive substring match on app name

Length1 <= length <= 200

Response Body

application/json

curl -X GET "https://example.com/v1/apps/"
{
  "success": true,
  "total": 0,
  "page": 1,
  "limit": 1,
  "apps": [
    {
      "id": "string",
      "platform": "twitter",
      "name": "string",
      "imageUrl": "string",
      "clientId": "string",
      "integrationCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}